gcontrol2 {gap} | R Documentation

## genomic control based on p values

### Description

The function obtains 1-df chi-squared statistics (observed) according to a vector of p values, and the inflation factor (lambda) according to medians of the observed and expected statistics. The latter is based on the empirical distribution function (EDF) of 1-df chi-squared statstics.

It would be appropriate for genetic association analysis as of 1-df Armitage trend test for case-control data; for 1-df additive model with continuous outcome one has to consider the compatibility with p values based on z-/t- statistics.

### Usage

    gcontrol2(p,col=palette()[4],lcol=palette()[2],...)

### Arguments

`p` | a vector of observed p values
`col` | colour for points in the Q-Q plot
`lcol` | colour for the diagonal line in the Q-Q plot
`...` | other options for plot

### Value

A list containing:

`x` | the expected chi-squared statistics
`y` | the observed chi-squared statistics
`lambda` | the inflation factor

### References

Devlin B, Roeder K (1999) Genomic control for association studies. Biometrics 55:997-1004

### Author(s)

Jing Hua Zhao

### Examples

    ## Not run:
    x2 <- rchisq(100,1,.1)
    p <- pchisq(x2,1,lower.tail=FALSE)
    r <- gcontrol2(p)
    print(r$lambda)

    ## End(Not run)

[Package gap version 1.2.1 Index]